/ comp / gb.opengl / glu / build2dmipmaps
Glu.Build2DMipmaps (gb.opengl)
Syntax

    STATIC FUNCTION Build2DMipmaps ( Image AS Image ) AS Integer

### Create 2-D mipmaps

#### Parameters

- Image specifies the Image from which you want to create the mipmap.

#### Description

Glu.Build2DMipmaps obtains the input image and generates all mipmap images (using Glu.ScaleImage) so that the input image can be used as a mipmapped texture image. Gl.TexImage2D is then called to load each of the images. If the dimensions of the input image are not powers of two, then the image is scaled so that both the width and height are powers of two before the mipmaps are generated.

A return value of 0 indicates success. Otherwise, a GLU error code is returned (see Glu.ErrorString).

### See also

Gl.TexImage2D, Glu.Build1DMipmaps, Glu.ErrorString, Glu.ScaleImage